| GL Studio C++ Runtime API

Public Member Functions | List of all members
GlsGloFileAttribute Class Reference

`#include <gls_glo_file.h>`

## Public Member Functions
| GlsGloFileAttribute (GlsGloFile::Reader *reader)
void | SetEnumeration (const unsigned int enumeration)
void | SetSize (const unsigned int size)
unsigned int | Enumeration ()
unsigned int | Size ()
std::string | GetString ()
void | GetVector (Vector &rval)
void | GetVertex (Vertex &rval)
glsColor | GetColor ()
void | GetColor (glsColor &rval)
bool | GetBoolean ()
char | GetByte ()
unsigned char | GetUnsignedByte ()
short | GetShort ()
unsigned short | GetUnsignedShort ()
int | GetInt ()
unsigned int | GetUnsignedInt ()
float | GetFloat ()
double | GetDouble ()
char * | GetBytes ()
DynamicArray< int > | GetMaterialIndices ()
void | GetBytes (const unsigned int size, void *data)

## Detailed Description

The GlsGloFileAttribute class. A wrapper between the binary format and the application.

## Constructor & Destructor Documentation

## ◆ GlsGloFileAttribute()

GlsGloFileAttribute | ( | GlsGloFile::Reader * | reader | ) |
| inline

Constructor

Parameters

  reader | An observing pointer to the GLO file reader.

## Member Function Documentation

## ◆ Enumeration()

unsigned int Enumeration | ( |  | ) |
| inline

Returns
  The attribute type.

## ◆ GetBoolean()

bool GetBoolean | ( |  | ) |
| inline

Returns
  The underlying boolean value.

## ◆ GetByte()

char GetByte | ( |  | ) |
| inline

Returns
  The underlying byte value.

## ◆ GetBytes() [1/2]

char * GetBytes | ( |  | ) |
| inline

Returns
  The underlying C string value based on the size of the attribute.

## ◆ GetBytes() [2/2]

void GetBytes | ( | const unsigned int | size,
|  | void * | data
| ) |  |
| inline

Get the underlying C string value.

Parameters

  size | The size of the attribute.
  data | A pointer to a valid memory region where the string will be copied.

## ◆ GetColor() [1/2]

glsColor GetColor | ( |  | ) |
| inline

Returns
  The underlying color value.

## ◆ GetColor() [2/2]

void GetColor | ( | glsColor & | rval | ) |
| inline

Get the underlying Color value.

Parameters

  rval | The returned underlying color.

## ◆ GetDouble()

double GetDouble | ( |  | ) |
| inline

Returns
  The underlying double value.

## ◆ GetFloat()

float GetFloat | ( |  | ) |
| inline

Returns
  The underlying float value.

## ◆ GetInt()

int GetInt | ( |  | ) |
| inline

Returns
  The underlying int value.

## ◆ GetMaterialIndices()

DynamicArray< int > GetMaterialIndices | ( |  | ) |
| inline

Returns
  The underlying material indices list.

## ◆ GetShort()

short GetShort | ( |  | ) |
| inline

Returns
  The underlying short value.

## ◆ GetString()

std::string GetString | ( |  | ) |
| inline

Returns
  The underlying string based on the size of the attribute.

## ◆ GetUnsignedByte()

unsigned char GetUnsignedByte | ( |  | ) |
| inline

Returns
  The underlying unsigned byte value.

## ◆ GetUnsignedInt()

unsigned int GetUnsignedInt | ( |  | ) |
| inline

Returns
  The underlying unsigned int value.

## ◆ GetUnsignedShort()

unsigned short GetUnsignedShort | ( |  | ) |
| inline

Returns
  The underlying unsigned short value.

## ◆ GetVector()

void GetVector | ( | Vector & | rval | ) |
| inline

Get the underlying Vector object.

Parameters

  rval | The returned underlying vector.

## ◆ GetVertex()

void GetVertex | ( | Vertex & | rval | ) |
| inline

Get the underlying Vertex object.

Parameters

  rval | The returned underlying vertex.

## ◆ SetEnumeration()

void SetEnumeration | ( | const unsigned int | enumeration | ) |
| inline

Set the type of this attribute.

Parameters

  enumeration | The attribute type to set.

## ◆ SetSize()

void SetSize | ( | const unsigned int | size | ) |
| inline

Set the size of this attribute in bytes.

Parameters

  size | The new size to set.

## ◆ Size()

unsigned int Size | ( |  | ) |
| inline

Returns
  The attribute size in bytes.

The documentation for this class was generated from the following file:

- gls_glo_file.h